aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJordan K. Hubbard <jkh@FreeBSD.org>1997-05-18 14:10:06 +0000
committerJordan K. Hubbard <jkh@FreeBSD.org>1997-05-18 14:10:06 +0000
commit51bd962f04ed762ade9febbf617f00cf8207fd7d (patch)
tree770de863aacafef1235206a2d5de96723146147c
parent655d6f9bfa375f9366fca41bb8dc5842183330f2 (diff)
downloadsrc-51bd962f04ed762ade9febbf617f00cf8207fd7d.tar.gz
src-51bd962f04ed762ade9febbf617f00cf8207fd7d.zip
Bring back /etc/netstart for those who are sitting in single user and
wish only to bring up their interfaces. This script is not actually called by any other script and exists purely for user convenience. Requested by: pst
Notes
Notes: svn path=/head/; revision=25895
-rwxr-xr-xetc/netstart22
1 files changed, 22 insertions, 0 deletions
diff --git a/etc/netstart b/etc/netstart
new file mode 100755
index 000000000000..533f833e9530
--- /dev/null
+++ b/etc/netstart
@@ -0,0 +1,22 @@
+#!/bin/sh -
+#
+# $Id: netstart,v 1.45.2.1 1996/11/06 09:22:16 phk Exp $
+# From: @(#)netstart 5.9 (Berkeley) 3/30/91
+
+# If there is a global system configuration file, suck it in.
+if [ -f /etc/rc.conf ]; then
+ . /etc/rc.conf
+fi
+
+if [ -f /etc/rc.network ]; then
+ . /etc/rc.network
+else
+ echo "Sorry, I can't find /etc/rc.network - aborting."
+ exit 1
+fi
+
+echo 'Doing stage one network startup:'
+network_pass1
+echo 'Doing stage two network startup:'
+network_pass2
+exit 0